EnKash Developer Portal
Home
Home
Login
  1. Non Reloadable Gift Cards
  • Back to home
  • APIs - Prepaid Card
  • Encryption & Decryption Guide
  • Reloadable Prepaid Cards
    • KYC Status Handling Guide
    • T&C Acceptance Flow Copy
    • Auth Token
    • Create Reloadable Prepaid Card
    • VKYC Link Generation
    • VKYC Status
    • Generate OTP
    • Get Card Details
    • View Card Details
    • View Card CVV
    • Set Card PIN
    • Update Card Limits & Controls
    • Get Card Limits & Controls
    • Order Physical Card
    • Get Card Balance
    • Load Money from Balance
    • Request Card Replacement
    • Block Card
    • Get Transaction Details
    • Get All Transaction Details
    • Activate Card
  • Non Reloadable Gift Cards
    • Auth Token
      POST
    • Create Non Reloadable Gift Card
      POST
    • Set Card PIN
      POST
    • Generate OTP
      POST
    • View Card Details
      POST
    • View Card CVV
      POST
    • Order Physical Card
      POST
    • Get Card Balance
      POST
    • Get Transaction Details
      POST
    • Get All Transaction details
      POST
    • Account Balance
      POST
  1. Non Reloadable Gift Cards

Account Balance

Developing
POST
/api/v0/partner/enKashCard/cardAccount/get

Request

Header Params

Body Params application/jsonRequired

Example
{
    "companyId": "CEKZYD5VWX",
    "cardAccountId": "CAP1D8F"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://ekpayout-uat.enkash.in/api/v0/partner/enKashCard/cardAccount/get' \
--header 'partnerId: CRM121Z2M' \
--header 'Authorization: ••••••' \
--header 'Cookie: JSESSIONID=21D51AA598129FEB7C62C4A481C02B52' \
--header 'Content-Type: application/json' \
--data-raw '{
    "companyId": "CEKZYD5VWX",
    "cardAccountId": "CAP1D8F"
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-05-07 11:57:40
Previous
Get All Transaction details
Built with